* {
	box-sizing: border-box;
}

html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}

body {
    display: flex;
    flex-direction: column;
}

body {
	background-color: #f2f2f2;
	background-image: url(Chupacabras.png);
	/* Full height */
    height: 100%;
    
    /* Center and scale the image nicely */
    background-position: initial;
    background-repeat: no-repeat;
    background-size: cover;
  
	font-family: Arial, sans-serif;
}

a {
    color: white;
    text-decoration: none;
}

/*
.login-container {
	background-color: #ffffff;
	border-radius: 5px;
	box-shadow: 0px 0px 10px rgba(0,0,0,0.1);
	margin: 10px auto;
	max-width: 30%;
	min-height: 70%;
}
*/

.login-container {
	background-color: transparent;
	border-radius: 5px;
	box-shadow: 0px 0px 10px rgba(0,0,0,0);
	margin: 10px auto;
	max-width: 30%;
	min-height: 70%;
}

.login-container p{
    text-align: center;
}

.header {
    min-height: 20px;
}

.content {
    min-height: 85%;
}

.footer {
    min-height: 50px;
    text-align: center;
    padding-left: 60%;
}

h1 {
	text-align: center;
	margin-top: 50px;
	margin-bottom: 30px;
	font-size: 1.5em;
}

label {
	display: block;
	margin-bottom: 5px;
}

/*
.form-header {
    padding-top: 50px;
    padding-bottom: 20px;
    background-image: radial-gradient( circle farthest-corner at 10% 20%,  rgba(0,0,0,1) 0%, rgba(50,60,60,1) 90% );
    color: white;
}

.form-precontent{
    min-height: 10px;
}

.form-content{
    padding-top: 30px;
    padding-left: 50px;
    padding-right: 50px;
    padding-bottom: 20px;
}

.form-content button{
    width: 100%;
}
*/

input[type="text"], input[type="password"] {
	border: 1px solid #ccc;
	border-radius: 5px;
	padding: 10px;
	width: 20%;
	margin-bottom: 20px;
}

button[type="submit"] {
	background-image: radial-gradient( circle farthest-corner at 10% 20%,  rgba(0,0,0,1) 0%, rgba(50,60,60,1) 90% );
	border: none;
	border-radius: 5px;
	color: #fff;
	padding: 10px 20px;
	text-align: center;
	text-decoration: none;
	display: inline-block;
	font-size: 16px;
	margin: 4px 2px;
	cursor: pointer;
}

button {
	background-color: rgba(0, 0, 0, 0.4);
	border: solid 1px;
	border-radius: 5px;
	border-color: black;
	color: white;
	padding: 10px 20px;
	text-align: center;
	text-decoration: none;
	display: inline-block;
	font-size: 16px;
	margin: 4px 2px;
	cursor: pointer;
}

#btn-visitante {
    background-image: radial-gradient( circle farthest-corner at 10% 20%,  rgba(0,0,0,1) 0%, rgba(50,60,60,1) 90% );
	border: none;
	border-radius: 5px;
	color: #fff;
	padding: 10px 20px;
	text-align: center;
	text-decoration: none;
	display: inline-block;
	font-size: 16px;
	margin: 4px 2px;
	cursor: pointer;
}

#data {
    display: none;
}

.alert {
  padding: 20px;
  background-color: #f44336;
  color: white;
  opacity: 1;
  transition: opacity 0.6s;
  margin-bottom: 15px;
}

.alert.success {background-color: #04AA6D;}
.alert.info {background-color: #2196F3;}
.alert.warning {background-color: #ff9800;}

.closebtn {
  margin-left: 15px;
  color: white;
  font-weight: bold;
  float: right;
  font-size: 22px;
  line-height: 20px;
  cursor: pointer;
  transition: 0.3s;
}

.closebtn:hover {
  color: black;
}

/* CSS Especifico para mobile */
@media only screen and (max-width: 1024px),
       only screen and (-webkit-min-device-pixel-ratio: 3), 
       only screen and (-min--moz-device-pixel-ratio: 3), 
       only screen and (-o-min-device-pixel-ratio: 3/1), 
       only screen and (min-device-pixel-ratio: 3)
{
    
        body {
        background-image: url(Chupacabras-m.png);
    }
        
    html, body {
        height: 100%;
        margin: 0;
        padding: 0;
        background-size: cover;
        font-family: Arial, sans-serif;
        background-position: center;
    }
    
    [class*="col-"] {
        width: 100%;
    }
  
    .container-fluid {
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        height: 100%;
    }
    
    .footer {
        background: transparent;
        padding: 20px;
        box-shadow: 0 -4px 10px rgba(0, 0, 0, 0.1);
        font-size: 4em;
    }
    
    a {
        color: white;
        text-decoration: none;
        font-size: 4em;
    }
    
    button[type="submit"] {
        font-size: 1.3em;   
    }
    
    .header {
        min-height: 20px;
    }
    
    .content {
        min-height: 60%;
    }
    
    #login-form {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    
    #login-form input {
        margin-bottom: 10px;
        width: 70%;
        padding: 10px;
        border-radius: 5px;
        border: 1px solid #ccc;
    }
    
    #login-form button, 
    #login-form a.btn {
        width: 70%;
        padding: 10px;
        margin-bottom: 10px;
    }
    
    #login-form a.btn {
        text-align: center;
        display: inline-block;
    }

}